Subject: RE: [Ltru] Re: LTRU Milestones past due

From: "Addison Phillips" <[email-masked]>
Date: Mon, 15 Aug 2005 21:53:41 -0700

Based on today's discussion, I don't think anything is left over. I'm patiently awaiting Randy and Martin declaring any additional changes to draft-11. 

A fine quality French champagne is in the refrigerator pending their decision.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?8?15? 21:24
> To: LTRU Working Group
> Subject: Re: [Ltru] Re: LTRU Milestones past due
> 
> Hi -
> 
> > From: "Doug Ewell" <[email-masked]>
> > To: "LTRU Working Group" <[email-masked]>
> > Sent: Monday, August 15, 2005 8:35 PM
> > Subject: [Ltru] Re: LTRU Milestones past due
> >
> > Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:
> >
> > > I propose that we ask our ADs to permit the following updates:
> > > Aug 05  Submit registry structure draft for IETF Last Call
> > > Oct 05  Submit matching algorithms draft for IETF Last Call
> > >
> > > I think these are realistic if we stop lilly-gilding.
> >
> > To help reduce the lily-gilding phenomenon, I'd like to ask the
> > co-chairs to adopt the following guidelines:
> >
> > 1.  ABNF
> >
> > No further requests to change the ABNF in draft-registry or
> > draft-matching should be entertained unless it can be demonstrated that
> > the existing ABNF (a) contradicts the text of the draft, (b) fails when
> > run through a validator, or (c) must be changed to reflect a new
> > technical decision (which we should not be having at this point anyway).
> > Changes to the ABNF for cosmetic reasons should be discouraged.
> > "Contradiction" between text and ABNF refers only to context-free
> > syntax.
> >
> > 2.  References
> >
> > All requests to add or delete references, change them from Normative to
> > Informative status or vice versa, or change their format or style should
> > be directed to the co-chair(s), not the editors, and should contain
> > proposed replacement text, preferably in xml2rfc format.  All changes
> > need to be at the direction of the co-chair(s).
> ...
> 
> Tempting though these suggestions might be, the Working Group is
> the responsible entity.  The co-chairs' job is to guage consensus
> and to attend to other process-related functions.  We can beg, cajole,
> and try to persuade, but if the working group clearly wants to do
> something and it's within the scope of our charter and not otherwise
> forbidden by IETF processes, we can't override it.
> 
> Let's wrap up this part of our work so we can get on with the metching
> draft.
> 
> Randy, ltru co-chair
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: r&d afrac <[email-masked]>
Date: Tue, 16 Aug 2005 23:57:13 +0200

[sorry: I sent it by mistake without copying the WG]

On 23:02 15/08/2005, Randy Presuhn said:
>I hope not, but we're not going to get there until this WG decides
>that the drafts are good enough to request publication.  The current
>discussion of ABNF changes worries me that we might be on the
>verge of needing a third WG last call, though that decision is up
>to the co-chairs' discretion.

Dear Randy,
oh! may be your mouth could advise your ears?

>As a technical contributor, I think we passed the point of diminishing
>returns some time ago.  I've been in standards long enough to realize
>that any non-trivial specification will probably have errors and benefit
>from clearer text, but I've also seen too many documents where too
>much time has been spent on items that really have no impact at all
>on the interoperability of implementations.

Exact. This applies to the whole document.

>The WG needs to ask itself:
>     - are the procedures for running the registry sufficiently clear so
>       that IANA will be able to carry them out?
>     - are the procedures for requesting the registration of new tags
>       sufficiently clear so that registrants will be able to provide the
>       necessary information to [email-masked]?
>     - is the syntax and semantics of language tags sufficiently well
>       specified to address the requirements stated in the WG charter?
>
>I believe the answer to all of these is "yes", and has been for quite
>some time.

I like your intox. The response is "no" for them all, with different 
rationales.

All these rationales root however in the same initial disregard of the 
Charter. There are obviously many ways to document this position of mine 
you will have to explain to the IESG. I note that no one has commented yet 
my last remark about oral aspects. The debate at 
[email-masked] over the differences between Alsace and 
Lichenstein shown that the reviewers have difficulties with this non 
written languages or oral forms of written languages.

May be should we complete Michael Everson with Pavarotti and George Lucas?

These points might be better discussed by this WG before becoming endless 
IETF issues?

>As a co-chair, though we can set deadlines for WG last calls, if the
>WG decides to address some in-scope issue, it is better in my
>opinion to deal with it in the WG last call, rather than risk its resurrection
>in IETF last call,

Agreed. But the second IETF Last Call permitted to add thousands of 
characters to the Draft and to better constrain the ABNF to oppose Open 
Source. IMHI (imagination) a forth Last Call is necessary: Open Source and 
users still have many ways to circumvent the Draft and create confusion (I 
know a few: but if you ban me for lack of cooperation in not documenting 
them, you will not get them). The assistance of the whole IETF is necessary 
to think of them.

>  even if in my technical judgement the issue does
>not warrant the delay.  Of course, by dallying like this, we run the risk
>that our ADs might shut us down for failure to meet our milestones.

Oh! do not worry. IDNA took more time! This kind of inadequate pre-decided 
proposition by nature takes time to build. If they were adequate and open 
everyone would see it and agree far more quickly (or disband).

>I've seen this happen in the Operations & Management area, so
>I know that this is not merely a theoretical possibility.

Randy, in Operations & Management area - as you told us - they are also 
managed by a Draft which does not evaluate the deliverable of a WG in 
reference to its Charter. May be could we consider our area, our charter, 
our duty to the IETF and to the users. And try to make a good job. Right 
now the responsibility of the delays is due to the way this WG has worked 
until now.

Had we started with a clean sheet review of the Charter, decided in common 
of objectives and of a road map, asked the necessary IAB guidance over the 
many thorny points resulting of confusion between an ISO typographer and a 
multimedia, multimode and multinlingual network architecture approaches, 
with the assistance of the key missing members to document the users and 
protocols needs, and some consideration to ISO/TC32 work, I am not sure we 
would have not closed a multilingual internet framework BCP 47 a long ago.

But I am sure that before the IANA supports a change in the BCP 47 registry 
which is universally used by the Internet community, it will have to become 
simple, stupid, consistent with many other network aspects, multilingual, 
multimedia, multimode, network and architext oriented and most of all based 
upon a user-centric archtecture of usage - and to stop endangering users as 
documented in its security section. The Draft is a client/server 
timesharing 1974 approach. It still documents the way the server "speaks". 
Not even the way the client reads or program. And certainly not the way the 
users interculturally exchange and relate.

This WG met its milestones: it stumbled over them.
jfc